Get a Collection
curl --request GET \
--url https://staging.crossmint.com/api/v1/ip/collections/{collectionId} \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://staging.crossmint.com/api/v1/ip/collections/{collectionId}"
headers = {"X-API-KEY": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<x-api-key>'}};
fetch('https://staging.crossmint.com/api/v1/ip/collections/{collectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"actionId": "d290f1ee-6c54-4b01-90e6-d701748f0851",
"metadata": {
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
},
"onChain": {
"chain": "story-testnet",
"contractAddress": "0x123",
"explorerLink": "https://portal.story.foundation/collections/0xAC6062FF53fa41e61Fe01B89B83d9dB96b5F9280"
}
}IP Collections
Get IP Collection
Get a collection by its id deployed on the Story chain
API scope required: collections.read
GET
/
v1
/
ip
/
collections
/
{collectionId}
Get a Collection
This API is still under development. Contact support for early access.
Headers
API key required for authentication
Path Parameters
Response
200 - application/json
SPG Collection found
The id of the collection
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
The action id of the collection
Example:
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Story Protocol collection metadata response
Show child attributes
Show child attributes
Example:
{
"name": "My Collection",
"symbol": "MYCOL",
"description": "My Collection Description",
"image": "https://example.com/image.png"
}
Show child attributes
Show child attributes
Was this page helpful?
⌘I

